Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018337
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2011-08-23 09:162011-09-05 11:53
ReportermiruritaView Statuspublic 
Assigned Tojecharri 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiondb224c38b097
ProjectionnoneETAnoneTarget Version3.0MP4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018337: Standard (UI Pattern) process definition does not allow collecting record id-s of multiple selection (grid view).

DescriptionButton A calls the process B.

Scenario 1:
- In Form view click on Button A
- Process B gets the id of the selected record (ONLY ONE) and does some modifications.

Scenario 2:
- In grid view select multiple records.
- Click on Button A
- In Process B you can only retrieve the id of one of the selected records. There is no way to get a list of selected records.

Steps To Reproduce1) Use as example FIN_DeleteTransaction process defined as UI Pattern: Standard
2) It is call when clicking in the Delete button available in Financial Account || Transactions tab. This button removes selected lines in the Transactions tab.
3) Go to Financial Account || Transactions tab select multiple transactions and click on Delete button. You will realize that ONLY ONE transaction has been removed.
4) Have a look to DeleteTransaction.java file (org.openbravo.advpaymentmngt.ad_actionbutton) where the selected record is retrieved
>> strKey = (String) params.get("Aprm_Finacc_Transaction_V_ID");
There is no way to receive a multiple selection.

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0018226 newmirurita Not possible to delete several transactions 

-  Notes
(0040542)
alostale (developer)
2011-08-29 17:03

Multiple record process execution is planned to be implemented as a new feature in the following months.

This issue is going to be fixed by disabling the process buttons of current tab in case there isn't a single record selected (no record at all or multiple), note that this affects only to buttons defined for current tab. The ones defined in parent tab are ok as only one record can be selected.
(0040683)
hgbot (developer)
2011-09-01 16:48

Repository: erp/devel/pi
Changeset: db224c38b0976a037c3943c1bdf1346cfebc6037
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Thu Sep 01 16:46:56 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/db224c38b0976a037c3943c1bdf1346cfebc6037 [^]

Fixes issue 18337: Standard (UI Pattern) process definition does not allow collecting record,
 id-s of multiple selection (grid view).Now, button are only visible if you have only one record selected.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0040732)
hudsonbot (developer)
2011-09-02 20:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f1065162150e [^]

Maturity status: Test
(0040742)
mirurita (developer)
2011-09-05 11:53

Working fine.

- Issue History
Date Modified Username Field Change
2011-08-23 09:16 mirurita New Issue
2011-08-23 09:16 mirurita Assigned To => alostale
2011-08-23 09:16 mirurita Modules => Core
2011-08-23 09:18 mirurita Relationship added blocks 0018226
2011-08-23 12:36 maite Issue Monitored: networkb
2011-08-29 17:03 alostale Note Added: 0040542
2011-08-29 17:03 alostale Status new => scheduled
2011-08-29 17:03 alostale fix_in_branch => pi
2011-08-30 09:33 alostale Assigned To alostale => jecharri
2011-08-31 16:51 jonalegriaesarte Target Version => 3.0MP4
2011-08-31 16:51 jonalegriaesarte fix_in_branch pi =>
2011-09-01 16:48 hgbot Checkin
2011-09-01 16:48 hgbot Note Added: 0040683
2011-09-01 16:48 hgbot Status scheduled => resolved
2011-09-01 16:48 hgbot Resolution open => fixed
2011-09-01 16:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/db224c38b0976a037c3943c1bdf1346cfebc6037 [^]
2011-09-02 20:13 hudsonbot Checkin
2011-09-02 20:13 hudsonbot Note Added: 0040732
2011-09-05 11:53 mirurita Note Added: 0040742
2011-09-05 11:53 mirurita Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker